Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.http
Class HttpClientException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.http.client.ClientProtocolException
                      org.apache.http.client.HttpResponseException
                          com.intel.cosbench.client.http.HttpClientException

All Implemented Interfaces:
  java.io.Serializable

    public class HttpClientException

extends org.apache.http.client.HttpResponseException

See Also:
  Serialized Form

Constructor Summary
`HttpClientException(int code, java.lang.String message)`
`HttpClientException(int code, java.lang.String message, org.apache.http.Header[] httpHeaders, org.apache.http.StatusLine httpStatusLine)`

Method Summary
`org.apache.http.Header[]` | `getHttpHeaders()`
`org.apache.http.StatusLine` | `getHttpStatusLine()`

Methods inherited from class org.apache.http.client.HttpResponseException
`getStatusCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpClientException

    public HttpClientException(int code,
                               java.lang.String message)

### HttpClientException

    public HttpClientException(int code,
                               java.lang.String message,
                               org.apache.http.Header[] httpHeaders,
                               org.apache.http.StatusLine httpStatusLine)

Method Detail

### getHttpHeaders

    public org.apache.http.Header[] getHttpHeaders()

### getHttpStatusLine

    public org.apache.http.StatusLine getHttpStatusLine()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD